Question/Discussion: update supported jquery version and remove old/unused js code?
05/03/2017 07:00 PM - Saskia Gennrich
Description

What is the currently supported jquery version and are there plans to update it?

| actually use jQuery/jQueryUl 1.10 and only had to make minor modifications to some files.
In jQuery 1.9 the jQuery.browser() object was removed. This is mostly used in conjunction with the "quirky magicbox" in
cdm_taxontree and some jQuery plugins.

| tried to figure out what the magicbox is and get it to work, but couldn't figure out when the breaking change happened and fix it. So |
just removed it completely.

Probably there are some incompatibilities, but it seems to work fine for FaunaEuropaea. Plugins that use $.browser() include
lightbox, thickbox, colorbox.

History

#1 - 05/04/2017 09:32 AM - Andreas Kohlbecker

What is the currently supported jquery version and are there plans to update it?
We use the version provided by Drupal 7, this is v1.4.4 and as long there is no strong requirement we rather abstain from upgrading it as this
would introduce another dependency to https://www.drupal.org/project/iquery_update

Why do you need a more recent jQuery?

The magicbox was used for a special behaviour of the taxon tree but this was not really appreciated by the users so that it has been deactivated. So
removing the magicbox is not a loss.

Andreas

#2 - 05/04/2017 09:33 AM - Andreas Kohlbecker
- Status changed from New to Feedback

- Assignee changed from Andreas Kohlbecker to Saskia Gennrich

#3 - 07/31/2017 08:20 PM - Andreas Miuller

- Tags changed from dataportal, faunaEuropaea to faunaEuropaea

remove redundant dataportal tag
